zenilib: vorbis_func_residue Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
vorbis_func_residue Struct Reference

`#include <backends.h>`

## Public Attributes

long **(* | class )(struct vorbis_block *, vorbis_look_residue *, int **, int *, int)
int(* | forward )(oggpack_buffer *, struct vorbis_block *, vorbis_look_residue *, int **, int *, int, long **, int)
void(* | free_info )(vorbis_info_residue *)
void(* | free_look )(vorbis_look_residue *)
int(* | inverse )(struct vorbis_block *, vorbis_look_residue *, float **, int *, int)
vorbis_look_residue *(* | look )(vorbis_dsp_state *, vorbis_info_residue *)
void(* | pack )(vorbis_info_residue *, oggpack_buffer *)
vorbis_info_residue *(* | unpack )(vorbis_info *, oggpack_buffer *)

## Detailed Description

Definition at line 88 of file backends.h.

## Member Data Documentation

long**(* vorbis_func_residue::class)(struct vorbis_block *, vorbis_look_residue *, int **, int *, int)

Definition at line 95 of file backends.h.

int(* vorbis_func_residue::forward)(oggpack_buffer *, struct vorbis_block *, vorbis_look_residue *, int **, int *, int, long **, int)

Definition at line 97 of file backends.h.

void(* vorbis_func_residue::free_info)(vorbis_info_residue *)

Definition at line 93 of file backends.h.

Referenced by vorbis_info_clear().

void(* vorbis_func_residue::free_look)(vorbis_look_residue *)

Definition at line 94 of file backends.h.

int(* vorbis_func_residue::inverse)(struct vorbis_block *, vorbis_look_residue *, float **, int *, int)

Definition at line 100 of file backends.h.

vorbis_look_residue*(* vorbis_func_residue::look)(vorbis_dsp_state *, vorbis_info_residue *)

Definition at line 91 of file backends.h.

void(* vorbis_func_residue::pack)(vorbis_info_residue *, oggpack_buffer *)

Definition at line 89 of file backends.h.

Referenced by _vorbis_pack_books().

vorbis_info_residue*(* vorbis_func_residue::unpack)(vorbis_info *, oggpack_buffer *)

Definition at line 90 of file backends.h.

Referenced by _vorbis_unpack_books().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/libvorbis/lib/backends.h